## sauerbraten 0.0.20100728.dfsg+repack

=== Makefile ===
CXXFLAGS= -O3 -fomit-frame-pointer
override CXXFLAGS+= -Wall -fsigned-char

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX= native

INCLUDES= -Ishared -Iengine -Ifpsgame -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else	
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/pvs.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o \
	fpsgame/weapon.o
ifneq (,$(findstring MINGW,$(PLATFORM)))
CLIENT_OBJS+= vcpp/SDL_win32_main.o
endif
CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet/.libs -lenet -lz
endif
SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o \
	fpsgame/server-standalone.o
MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

all: client server

enet/Makefile:
	cd enet; ./configure --enable-shared=no --enable-static=yes
	
libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) sauer_client sauer_server sauer_master

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
$(filter fpsgame/%,$(CLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
vcpp/%.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@) 

client: $(CLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/mingw.rc -J rc -o vcpp/mingw.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../bin/sauerbraten.exe vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)

server: $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_server.exe $(SERVER_OBJS) $(SERVER_LIBS)

master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)

install: all
else
client:	libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)

server:	libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
	
master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_master $(MASTER_OBJS) $(SERVER_LIBS)  

install: all
	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
	cp sauer_server	../bin_unix/$(PLATFORM_PREFIX)_server
ifneq (,$(STRIP))
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_client
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_server
endif
endif

depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/tools.o: shared/command.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/3dgui.o: engine/textedit.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/bih.o: engine/texture.h engine/model.h engine/varray.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/blob.o: engine/texture.h engine/model.h engine/varray.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/client.o: shared/ents.h shared/command.h shared/iengine.h
engine/client.o: shared/igame.h engine/world.h engine/octa.h
engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/client.o: engine/model.h engine/varray.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/command.o: shared/ents.h shared/command.h shared/iengine.h
engine/command.o: shared/igame.h engine/world.h engine/octa.h
engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/command.o: engine/model.h engine/varray.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/console.o: shared/ents.h shared/command.h shared/iengine.h
engine/console.o: shared/igame.h engine/world.h engine/octa.h
engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/console.o: engine/model.h engine/varray.h
engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h
engine/cubeloader.o: shared/geom.h shared/ents.h shared/command.h
engine/cubeloader.o: shared/iengine.h shared/igame.h engine/world.h
engine/cubeloader.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/cubeloader.o: engine/texture.h engine/model.h engine/varray.h
engine/decal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/decal.o: shared/ents.h shared/command.h shared/iengine.h
engine/decal.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/decal.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/dynlight.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/dynlight.o: shared/ents.h shared/command.h shared/iengine.h
engine/dynlight.o: shared/igame.h engine/world.h engine/octa.h
engine/dynlight.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/dynlight.o: engine/model.h engine/varray.h
engine/glare.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/glare.o: shared/ents.h shared/command.h shared/iengine.h
engine/glare.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/glare.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/glare.o: engine/rendertarget.h
engine/grass.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/grass.o: shared/ents.h shared/command.h shared/iengine.h
engine/grass.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/grass.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/lightmap.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/lightmap.o: shared/ents.h shared/command.h shared/iengine.h
engine/lightmap.o: shared/igame.h engine/world.h engine/octa.h
engine/lightmap.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/lightmap.o: engine/model.h engine/varray.h
engine/main.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/main.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/main.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/main.o: engine/texture.h engine/model.h engine/varray.h
engine/material.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/material.o: shared/ents.h shared/command.h shared/iengine.h
engine/material.o: shared/igame.h engine/world.h engine/octa.h
engine/material.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/material.o: engine/model.h engine/varray.h
engine/menus.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/menus.o: shared/ents.h shared/command.h shared/iengine.h
engine/menus.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/menus.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/movie.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/movie.o: shared/ents.h shared/command.h shared/iengine.h
engine/movie.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/movie.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/normal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/normal.o: shared/ents.h shared/command.h shared/iengine.h
engine/normal.o: shared/igame.h engine/world.h engine/octa.h
engine/normal.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/normal.o: engine/model.h engine/varray.h
engine/octa.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/octa.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/octa.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/octa.o: engine/texture.h engine/model.h engine/varray.h
engine/octaedit.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/octaedit.o: shared/ents.h shared/command.h shared/iengine.h
engine/octaedit.o: shared/igame.h engine/world.h engine/octa.h
engine/octaedit.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/octaedit.o: engine/model.h engine/varray.h
engine/octarender.o: engine/engine.h shared/cube.h shared/tools.h

=== rpggame/Makefile ===
CXXFLAGS= -Os
override CXXFLAGS+= -Wall -fsigned-char

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX= native

INCLUDES= -I../shared -I../engine -I../rpggame -I../enet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -I../include
CLIENT_LIBS= -mwindows -L../lib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else	
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -L../enet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	../shared/crypto.o \
	../shared/geom.o \
	../shared/stream.o \
	../shared/tools.o \
	../shared/zip.o \
	../engine/3dgui.o \
	../engine/bih.o \
	../engine/blend.o \
	../engine/blob.o \
	../engine/client.o	\
	../engine/command.o \
	../engine/console.o \
	../engine/cubeloader.o \
	../engine/decal.o \
	../engine/dynlight.o \
	../engine/glare.o \
	../engine/grass.o \
	../engine/lightmap.o \
	../engine/main.o \
	../engine/material.o \
	../engine/menus.o \
	../engine/movie.o \
	../engine/normal.o	\
	../engine/octa.o \
	../engine/octaedit.o \
	../engine/octarender.o \
	../engine/physics.o \
	../engine/pvs.o \
	../engine/rendergl.o \
	../engine/rendermodel.o \
	../engine/renderparticles.o \
	../engine/rendersky.o \
	../engine/rendertext.o \
	../engine/renderva.o \
	../engine/server.o	\
	../engine/serverbrowser.o \
	../engine/shader.o \
	../engine/shadowmap.o \
	../engine/sound.o \
	../engine/texture.o \
	../engine/water.o \
	../engine/world.o \
	../engine/worldio.o \
	../rpggame/ent.o \
	../rpggame/entities.o \
	../rpggame/objset.o \
	../rpggame/rpg.o
ifneq (,$(findstring MINGW,$(PLATFORM)))
CLIENT_OBJS+= ../vcpp/SDL_win32_main.o
endif
CLIENT_PCH= ../shared/cube.h.gch ../engine.h.gch ../rpggame/rpg.h.gch

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
endif

default: all

all: client

../enet/Makefile:
	cd ../enet; ./configure --enable-shared=no --enable-static=yes
	
libenet: ../enet/Makefile
	$(MAKE)	-C ../enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C ../enet/ clean

clean:
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) rpg_client

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter ../shared/%,$(CLIENT_OBJS)): $(filter ../shared/%,$(CLIENT_PCH))
$(filter ../engine/%,$(CLIENT_OBJS)): $(filter ../engine/%,$(CLIENT_PCH))
$(filter ../rpggame/%,$(CLIENT_OBJS)): $(filter ../rpggame/%,$(CLIENT_PCH))

ifneq (,$(findstring MINGW,$(PLATFORM)))
../vcpp/%.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@) 

client: $(CLIENT_OBJS)
	$(WINDRES) -I ../vcpp -i ../vcpp/mingw.rc -J rc -o ../vcpp/mingw.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../../bin/rpg.exe ../vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)
ifneq (,$(STRIP))
	$(STRIP) ../../bin/rpg.exe
endif
else
client:	libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o rpg_client $(CLIENT_OBJS) $(CLIENT_LIBS)
endif

depend:
	makedepend -Y -I../shared -I../engine -I../rpggame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -I../shared -I../engine -I../rpggame $(subst .h.gch,.h,$(CLIENT_PCH))

# DO NOT DELETE

../shared/crypto.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/crypto.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/crypto.o: ../shared/igame.h
../shared/geom.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/geom.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/geom.o: ../shared/igame.h
../shared/stream.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/stream.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/stream.o: ../shared/igame.h
../shared/tools.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/tools.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/tools.o: ../shared/igame.h
../shared/zip.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/zip.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/zip.o: ../shared/igame.h
../engine/3dgui.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/3dgui.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/3dgui.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/3dgui.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/3dgui.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/3dgui.o: ../engine/textedit.h
../engine/bih.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/bih.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/bih.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/bih.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/bih.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/blend.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/blend.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/blend.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/blend.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/blend.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/blob.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/blob.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/blob.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/blob.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/blob.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/client.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/client.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/client.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/client.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/client.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/command.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/command.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/command.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/command.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/command.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/console.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/console.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/console.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/console.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/console.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/cubeloader.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/cubeloader.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/cubeloader.o: ../shared/iengine.h ../shared/igame.h
../engine/cubeloader.o: ../engine/world.h ../engine/octa.h
../engine/cubeloader.o: ../engine/lightmap.h ../engine/bih.h
../engine/cubeloader.o: ../engine/texture.h ../engine/model.h
../engine/cubeloader.o: ../engine/varray.h
../engine/decal.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/decal.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/decal.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/decal.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/decal.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/dynlight.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/dynlight.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/dynlight.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/dynlight.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/dynlight.o: ../engine/texture.h ../engine/model.h
../engine/dynlight.o: ../engine/varray.h
../engine/glare.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/glare.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/glare.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/glare.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/glare.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/glare.o: ../engine/rendertarget.h
../engine/grass.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/grass.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/grass.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/grass.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/grass.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/lightmap.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/lightmap.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/lightmap.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/lightmap.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/lightmap.o: ../engine/texture.h ../engine/model.h
../engine/lightmap.o: ../engine/varray.h
../engine/main.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/main.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/main.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/main.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/main.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/material.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/material.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/material.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/material.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/material.o: ../engine/texture.h ../engine/model.h
../engine/material.o: ../engine/varray.h
../engine/menus.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/menus.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/menus.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/menus.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/menus.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/movie.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/movie.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/movie.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/movie.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/movie.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/normal.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/normal.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/normal.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/normal.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/normal.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/octa.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/octa.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/octa.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/octa.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/octa.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/octaedit.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/octaedit.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/octaedit.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/octaedit.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/octaedit.o: ../engine/texture.h ../engine/model.h
../engine/octaedit.o: ../engine/varray.h

=== debian/changelog ===
sauerbraten (0.0.20100728.dfsg+repack-3) unstable; urgency=low

  * Team upload.
  * Correct manpage regarding the previous upload: Remove the note that
    running in fullscreen mode was the default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 17:29:57 +0200

sauerbraten (0.0.20100728.dfsg+repack-2) unstable; urgency=low

  * Team upload.
  * Start in windowed mode by default. This introduces
    windowed_by_default.diff.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:56:14 +0200

sauerbraten (0.0.20100728.dfsg+repack-1) unstable; urgency=low

  * Repack .orig.tar.gz
    * Drop an unredistributable file (include/wincompat.h). We don't use it
      anyway
    * Repack with bzip2 compression
  * Update debian/copyright:
    * Update copyright years of sauerbraten and Enet
    * Liste files in enet/m4/ which are copyright by the FSF and some
      autotools file in enet/ and the files in include/ (Closes: #618943)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 21 Jun 2011 16:59:36 +0200

sauerbraten (0.0.20100728.dfsg-5) unstable; urgency=low

  * Fix wrong variable name in debian/rules. It's not CXXOPTFLAGS but CXXFLAGS
  * Update to standards version 3.9.2. No changes.
  * Don't mess with users' PATH environment in sauerbraten.desktop. Instead
    call /usr/games/sauerbraten directly
  * Use debhelper 8 to build the package
    * Build-depend on debhelper (>= 8)
    * Rewrite debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 19:03:03 +0200

sauerbraten (0.0.20100728.dfsg-4) unstable; urgency=low

  * Team upload.
  * Link with -lrt on kFreeBSD too.
    Closes: #621811

 -- Evgeni Golov <evgeni@debian.org>  Thu, 12 May 2011 01:03:35 +0200

sauerbraten (0.0.20100728.dfsg-3) unstable; urgency=low

  * Allow building on PowerPC again (Closes: 549470)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 01 Mar 2011 17:38:44 +0100

=== debian/control ===
Source: sauerbraten
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Build-Depends: debhelper (>= 8),
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               zlib1g-dev,
               imagemagick
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/sauerbraten.git;a=summary
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sauerbraten-data (>= ${sauerbraten-data-ver})
Recommends: sauerbraten-wake6
Description: 3D first-person game engine
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the game client and map editor.

Package: sauerbraten-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sauerbraten (= ${binary:Version})
Description: Debug symbols for the Sauerbraten game engine
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the debug symbols for the game client.

Package: sauerbraten-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sauerbraten
Description: Standalone server for the Sauerbraten game
 Sauerbraten is a networked fast-paced 3D first-person shooter game. It supports
 rather modern graphic effects and a some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 This package installs the standalone server for Sauerbraten.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -g
else
	CXXFLAGS += -g -O2 -fomit-frame-pointer
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_build:
	convert debian/sauerbraten.png debian/sauerbraten.xpm
	$(MAKE) CXXFLAGS="$(CXXFLAGS)"

override_dh_auto_clean:
	$(MAKE) clean
	rm -f debian/sauerbraten.xpm

override_dh_auto_install:
	# This override target must not be removed (even it empty!) to stop dh
	# from trying upstream's broken install target.
	# Uhm... yes, it's a hack to strip \.dfsg.* from the version string...
	# Improvements appreciated! It's used by dh_gencontrol
	echo "sauerbraten-data-ver=`head -n1 debian/changelog | egrep -o '\(.*\)' | sed -e 's/(//' | sed -e 's/\.dfsg.*//'`" \
		>> debian/sauerbraten.substvars

override_dh_strip:
	dh_strip -psauerbraten --dbg-package=sauerbraten-dbg
	dh_strip

override_dh_installdocs:
	dh_installdocs --all debian/README.Debian
	dh_installdocs -psauerbraten debian/NEWS.Debian

## sauerbraten 0.0.20130203.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXXFLAGS= -O3 -fomit-frame-pointer
-override CXXFLAGS+= -Wall -fsigned-char
+override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
 
 PLATFORM= $(shell uname -s)
 PLATFORM_PREFIX= native
@@ -17,11 +17,27 @@
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 WINDRES= windres
+ifneq (,$(findstring 64,$(PLATFORM)))
+WINLIB=lib64
+WINBIN=../bin64
+override CXX+= -m64
+override WINDRES+= -F pe-x86-64
+else
+WINLIB=lib
+WINBIN=../bin
+override CXX+= -m32
+override WINDRES+= -F pe-i386
+endif
 CLIENT_INCLUDES= $(INCLUDES) -Iinclude
-CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
+ifneq (,$(findstring TDM,$(PLATFORM)))
+STD_LIBS=
+else
+STD_LIBS= -static-libgcc -static-libstdc++
+endif
+CLIENT_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lSDL -lSDL_image -lSDL_mixer -lzlib1 -lopengl32 -lenet -lws2_32 -lwinmm
 else	
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
-CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 endif
 ifeq ($(PLATFORM),Linux)
 CLIENT_LIBS+= -lrt
@@ -81,17 +97,17 @@
 	fpsgame/server.o \
 	fpsgame/waypoint.o \
 	fpsgame/weapon.o
-ifneq (,$(findstring MINGW,$(PLATFORM)))
-CLIENT_OBJS+= vcpp/SDL_win32_main.o
-endif
+
 CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
-SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
+SERVER_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
+MASTER_LIBS= $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
 else
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
 SERVER_LIBS= -Lenet/.libs -lenet -lz
+MASTER_LIBS= $(SERVER_LIBS)
 endif
 SERVER_OBJS= \
 	shared/crypto-standalone.o \
@@ -99,7 +115,10 @@
 	shared/tools-standalone.o \
 	engine/command-standalone.o \
 	engine/server-standalone.o \
+	engine/worldio-standalone.o \
+	fpsgame/entities-standalone.o \
 	fpsgame/server-standalone.o
+
 MASTER_OBJS= \
 	shared/crypto-standalone.o \
 	shared/stream-standalone.o \
@@ -129,8 +148,8 @@
 	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) sauer_client sauer_server sauer_master
 
 %.h.gch: %.h
-	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
-	$(MV) $@.tmp $@
+	$(CXX) $(CXXFLAGS) -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
+	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@
 
 %-standalone.o: %.cpp
 	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)
@@ -144,18 +163,16 @@
 $(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
-vcpp/%.o:
-	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@) 
-
 client: $(CLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/mingw.rc -J rc -o vcpp/mingw.res -O coff 
-	$(CXX) $(CXXFLAGS) -o ../bin/sauerbraten.exe vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)
+	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauerbraten.exe vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)
 
 server: $(SERVER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sauer_server.exe $(SERVER_OBJS) $(SERVER_LIBS)
+	$(WINDRES) -I vcpp -i vcpp/mingw.rc -J rc -o vcpp/mingw.res -O coff
+	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauer_server.exe vcpp/mingw.res $(SERVER_OBJS) $(SERVER_LIBS)
 
 master: $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauer_master.exe $(MASTER_OBJS) $(MASTER_LIBS)
 
 install: all
 else
@@ -166,7 +183,13 @@
 	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
 	
 master: libenet $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o sauer_master $(MASTER_OBJS) $(SERVER_LIBS)  
+	$(CXX) $(CXXFLAGS) -o sauer_master $(MASTER_OBJS) $(MASTER_LIBS)  
+
+shared/cube2font.o: shared/cube2font.c
+	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`
+
+cube2font: shared/cube2font.o
+	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz
 
 install: all
 	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
@@ -180,8 +203,11 @@
 depend:
 	makedepend -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(CLIENT_OBJS))
 	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
+	makedepend -a -o-standalone.o -Y -DSTANDALONE -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
+	makedepend -a -o-standalone.o -Y -DSTANDALONE -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
+
+engine/engine.h.gch: shared/cube.h.gch
+fpsgame/game.h.gch: shared/cube.h.gch
 
 # DO NOT DELETE
 
@@ -274,16 +300,3 @@
 engine/movie.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
 engine/normal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
 engine/normal.o: shared/ents.h shared/command.h shared/iengine.h
-engine/normal.o: shared/igame.h engine/world.h engine/octa.h
-engine/normal.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/normal.o: engine/model.h engine/varray.h
-engine/octa.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/octa.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
-engine/octa.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
-engine/octa.o: engine/texture.h engine/model.h engine/varray.h
-engine/octaedit.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/octaedit.o: shared/ents.h shared/command.h shared/iengine.h
-engine/octaedit.o: shared/igame.h engine/world.h engine/octa.h
-engine/octaedit.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/octaedit.o: engine/model.h engine/varray.h
-engine/octarender.o: engine/engine.h shared/cube.h shared/tools.h

=== debian/changelog ===
sauerbraten (0.0.20130203.dfsg-1) unstable; urgency=medium

  * Team upload.
    - Add myself to Uploaders.
  * New upstream release. (Closes: #732988, #699521)
    - Refresh patches.
  * Build using dh-autoreconf.
  * Fix minor grammatical errors in package description. (LP: #858631)
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 21 Jan 2014 15:59:05 -0800

=== debian/control ===
Source: sauerbraten
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Vincent Cheng <vcheng@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dh-autoreconf,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               zlib1g-dev,
               imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/sauerbraten.git
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sauerbraten-data (>= ${sauerbraten-data-ver})
Recommends: sauerbraten-wake6
Description: 3D first-person game engine
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the game client and map editor.

Package: sauerbraten-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sauerbraten (= ${binary:Version})
Description: Debug symbols for the Sauerbraten game engine
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the debug symbols for the game client.

Package: sauerbraten-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sauerbraten
Description: Standalone server for the Sauerbraten game
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 This package installs the standalone server for Sauerbraten.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
@@ -21,8 +21,13 @@
 	$(MAKE) CXXFLAGS="$(CXXFLAGS)"
 
 override_dh_auto_clean:
+	# Because newer arches will FTBFS because of outdated config.* infrastructure,
+	# we need to copy them in for the upstream distclean target.
+	# Ugh, and we need a hack for building the source package, too!
+	dh_autotools-dev_updateconfig
 	$(MAKE) clean
 	rm -f debian/sauerbraten.xpm
+	dh_autotools-dev_restoreconfig
 
 override_dh_auto_install:
 	# This override target must not be removed (even it empty!) to stop dh

## sauerbraten 0.0.20140302

=== debian/changelog ===
sauerbraten (0.0.20140302-1) unstable; urgency=medium

  * Team upload.
  * Rename sauerbraten-data source and binary packages to sauerbraten. From now
    on sauerbraten is a content package and a game that depends on the free
    cube2 engine.
  * Bump compat level to 9 and require debhelper >= 9.
  * debian/control:
    - sauerbraten is now an arch:all binary package that installs the same
      content as the former sauerbraten-data package.
    - Drop sauerbraten-dbg. Debug symbols are provided by cube2-dbg.
    - sauerbraten-server: dependency package for pulling in cube2-server.
    - Add Breaks, Replaces and Conflicts fields for the transition.
    - Do not recommend sauerbraten-wake6 anymore. Wake6 is now part of
      cube2-data.
    - Add myself to Uploaders.
  * Add man pages, desktop and menu files and icons to the new content package.
  * Use new high resolution icon for desktop and menu files. (Closes: #649681)
  * Update sauerbraten and sauerbraten-server wrappers due to the new cube2
    engine.
  * Add clean file.
  * Build with --parallel.
  * Update debian/copyright. Add missing licenses. Use a more permissive
    license for the Debian packaging.

 -- Markus Koschany <apo@gambaru.de>  Tue, 01 Apr 2014 14:52:02 +0200

sauerbraten-data (0.0.20130203-1) unstable; urgency=medium

  * Team upload.
  * Add myself to uploaders.
  * New upstream release.
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 21 Jan 2014 17:26:41 -0800

sauerbraten-data (0.0.20100728+repack-1) unstable; urgency=low

  * Team upload.
  * Repack .orig.tar.gz from an earlier snapshot of upstream's Subversion
    repository. Checksums of maps should now match the checksums of the maps in
    the official upstream tarball. (Closes: #609084)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 24 Jun 2011 18:57:39 +0200

sauerbraten-data (0.0.20100728-2) unstable; urgency=low

  * Fix typos in the package description
  * Use debhelper 8 to build the package
    * Build-depend on debhelper (>= 8)
    * Use the debhelper 8 minimal debian/rules file
  * Update to standards version 3.9.2. No changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Sat, 04 Jun 2011 01:14:00 +0200

sauerbraten-data (0.0.20100728-1) unstable; urgency=low

  * New upstream release
  * Update copyright information according to the content of the new release
  * Migrate to source format 3.0 (quilt)
  * Fix a lintian warning about missing ${misc:Depends} in the Depends field
  * Update to latest standards version 3.9.1 without changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 30 Jul 2010 11:38:47 -0400

sauerbraten-data (0.0.20090504-1) unstable; urgency=low

  * New Upstream Version
  * Add new license and copyright snippets to debian/copyright
  * Call dh_prep instead of dh_clean -k in debian/rules
  * Update Vcs-* fields to reflect new repository location

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 02 Jul 2009 17:33:18 +0200

sauerbraten-data (0.0.20080620-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * Update debian/rules to remove the executable bit from some more plain text
    files

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sat, 28 Jun 2008 10:58:08 +0200

sauerbraten-data (0.0.20071227-2) unstable; urgency=low

  * Fix malformed Conflicts-field in control file (Closes: #467449)

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Sun, 23 Mar 2008 20:15:58 +0100

sauerbraten-data (0.0.20071227-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Update to Standards version 3.7.3.0. No changes necessary
  * Update my email address
  * Conflict against out-of-date engine package (Closes: #440246)

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Mon, 29 Jan 2008 22:09:30 +0100

sauerbraten-data (0.0.20070819-1) unstable; urgency=low

  * New upstream release
  * Updated address of the FSF in the copyright file

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Sun, 26 Aug 2007 18:25:04 +0200

sauerbraten-data (0.0.20070413-1) unstable; urgency=low

  * New upstream release

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Sat, 14 Apr 2007 22:56:01 +0200

sauerbraten-data (0.0.20061204-1) unstable; urgency=low

  * Initial release

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue,  9 Jan 2007 18:19:30 +0100

=== debian/control ===
Source: sauerbraten
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/sauerbraten.git
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: all
Depends:
 cube2,
 ${misc:Depends}
Replaces:
 sauerbraten-data (<< 0.0.20140302-1)
Breaks:
 sauerbraten-data (<< 0.0.20140302-1)
Conflicts:
 sauerbraten (<< 0.0.20140302-1)
Description: 3D first-person shooter game
 Sauerbraten is a networked 3D first-person shooter game. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 The game client also works as the map editor. It is even possible to create
 and edit a map together with other people over a network connection.
 .
 This package installs maps, textures, sounds and other artwork of Sauerbraten.

Package: sauerbraten-server
Architecture: all
Depends:
 cube2-server,
 ${misc:Depends}
Suggests:
 sauerbraten
Description: standalone server for the Sauerbraten game
 Sauerbraten is a networked 3D first-person shooter game. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This is a dependency package for cube2-server which installs the standalone
 server for Sauerbraten.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 data/cube.png debian/sauerbraten.xpm
